#ifndef _POWER_BUFFER_H_
#define _POWER_BUFFER_H_

#include "fft.h"

typedef struct {
  void (*buffer_new_line)(void *);
  void *bnl_data;
  int width;

  float *power;    /* width * 2049 */
  double *buffer;  /* 4096 */
  int processed;

  complex *fft_buffer;
  fft fft;
} power_buffer;

void power_buffer_init(power_buffer *, int, int, void (*)(void *), void *);
void power_buffer_feed(power_buffer *, float *, int);

#endif /* _POWER_BUFFER_H_ */
